﻿using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Enums;
using Syncfusion.WinForms.DataGrid.Events;
using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SfDatagridDemo
{
    public partial class Form1 : Form
    {
        ViewModel viewModel;
        public Form1()
        {
            InitializeComponent();
            viewModel = new ViewModel();
            this.sfDataGrid1.AllowFiltering = true;
            this.sfDataGrid1.ShowGroupDropArea = true;
            this.sfDataGrid1.ShowRowHeader = true;
            sfDataGrid1.DataSource = viewModel.OrdersListDetails;
            this.sfDataGrid1.CellClick += OnCellClick;
            this.sfDataGrid1.RightToLeft = RightToLeft.Yes;
            //Creating object for a stacked header row.
            var stackedHeaderRow1 = new StackedHeaderRow();

            //Adding stacked column to stacked columns collection available in stacked header row object.
            stackedHeaderRow1.StackedColumns.Add(new StackedColumn() { ChildColumns = "OrderID,CustomerID", HeaderText = "Order Details" });
            stackedHeaderRow1.StackedColumns.Add(new StackedColumn() { ChildColumns = "ContactNumber,ShipCountry", HeaderText = "Customer Details" });
            stackedHeaderRow1.StackedColumns.Add(new StackedColumn() { ChildColumns = "ProductName,Quantity,UnitPrice", HeaderText = "Product Details" });

            //Adding stacked header row object to stacked header row collection available in SfDataGrid.
            sfDataGrid1.StackedHeaderRows.Add(stackedHeaderRow1);
        }

        private void OnCellClick(object sender, CellClickEventArgs e)
        {
            int rowIndex = e.DataRow.RowIndex;
        }
    }
}
